Bug 463902 - Review Request: chktex - LaTex semantic checker
Review Request: chktex - LaTex semantic checker
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 04:15 EDT by Sergio Pascual
Modified: 2008-10-13 13:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 13:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2008-09-25 04:15:27 EDT
Spec URL: http://sergiopr.fedorapeople.org/chktex.spec
SRPM URL: http://sergiopr.fedorapeople.org/chktex-1.6.4-1.fc9.src.rpm
Description: This program has been written in frustration because some constructs in LaTeX are sometimes non-intuitive, and easy to forget. It is _not_ a 
replacement for the built-in checker in LaTeX; however it catches some 
typographic errors LaTeX oversees. In other words, it is Lint for LaTeX. 
Filters are also provided for checking the LaTeX parts of CWEB documents.
Comment 1 Jason Tibbitts 2008-10-03 16:13:57 EDT
This is a rather simple package.  Unfortunately I'm not terribly well-versed in TeX so it's tough for me to test it, but I ran it over the sample documents and it produced output which makes sense to me.  I think I see some UTF-8 issues in the output (it uses ASCII 180 directly in the output when it probably shouldn't) but I don't think that's really a blocker, especially given the age of the code.

The only thing rpmlint has to say is:
  chktex.x86_64: W: non-conffile-in-etc /etc/chktexrc
Shouldn't this file be marked %config?

There's actually a small test suite included; you should run it (via "make check" or, since you seem to prefer those long macros, "%{__make} check", in a %check section).  It should pass without problems.

* source files match upstream:
   268b615ed45422adbf4b908898548fea8fa2a5be0a83c976e239b6779a51b691  
   chktex-1.6.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
X rpmlint has a valid complaint.
* final provides and requires are sane:
   chktex = 1.6.4-1.fc10
   chktex(x86-64) = 1.6.4-1.fc10
  =
   /bin/sh
   /usr/bin/perl

X %check is not present, but there's a test suite.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Sergio Pascual 2008-10-04 07:04:21 EDT
I have added a %check rule in the specfile and made the file in etc a config file

Spec URL: http://sergiopr.fedorapeople.org/chktex.spec
SRPM URL: http://sergiopr.fedorapeople.org/chktex-1.6.4-2.fc9.src.rpm


Yes, I should definitively make some reviews...
Comment 3 Jason Tibbitts 2008-10-07 11:10:33 EDT
The second URL seems to be invalid.  It doesn't seem as if the updated spec and package were uploaded.
Comment 4 Sergio Pascual 2008-10-07 11:21:19 EDT
Oh great! I forgot to upload them. Now it should work, sorry
Comment 5 Jason Tibbitts 2008-10-07 14:24:05 EDT
Thanks.  This looks good to me; rpmlint is silent and the small test suite passes.

APPROVED
Comment 6 Sergio Pascual 2008-10-07 17:12:34 EDT
New Package CVS Request
=======================
Package Name: chktex 
Short Description:LaTex semantic checker
Owners: sergiopr
Branches: F-9 F-8
InitialCC:
Comment 7 Huzaifa S. Sidhpurwala 2008-10-08 05:18:35 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.